### Name: coord_trans
### Title: coord_trans
### Aliases: coord_trans CoordTrans
### Keywords: hplot

### ** Examples
## Not run: 
##D # See ?geom_boxplot for other examples
##D 
##D # Three ways of doing transformating in ggplot:
##D #  * by transforming the data
##D qplot(log10(carat), log10(price), data=diamonds)
##D #  * by transforming the scales
##D qplot(carat, price, data=diamonds, log="xy")
##D qplot(carat, price, data=diamonds) + scale_x_log10() + scale_y_log10()
##D #  * by transforming the coordinate system:
##D qplot(carat, price, data=diamonds) + coord_trans(x="log10", y="log10")
##D 
##D # The difference between transforming the scales and
##D # transforming the coordinate system is that scale
##D # transformation occurs BEFORE statistics, and coordinate
##D # transformation afterwards.  Coordinate transformation also 
##D # changes the shape of geoms:
##D library(mgcv)
##D qplot(carat, price, data=diamonds, log="xy", geom=c("point","smooth"), method="gam", formula=y ~ s(x, bs="cr"))
##D qplot(carat, price, data=diamonds, geom=c("point","smooth"), method="gam", formula=y ~ s(x, bs="cr"))  + coord_trans(x="log10", y="log10")
##D 
##D # With a combination of scale and coordinate transformation, it's
##D # possible to do back-transformations:
##D qplot(carat, price, data=diamonds, log="xy", geom=c("point", "smooth"), method="lm") + coord_trans(x="pow10", y="pow10")
##D # cf.
##D qplot(carat, price, data=diamonds, geom=c("point", "smooth"), method="lm")
##D 
## End(Not run)


