### Name: geom_point
### Title: geom_point
### Aliases: geom_point GeomPoint
### Keywords: hplot

### ** Examples
## Not run: 
##D p <- ggplot(mtcars, aes(x=wt, y=mpg))
##D p + geom_point()
##D 
##D # Add aesthetic mappings
##D p + geom_point(aes(colour=qsec))
##D p + geom_point(aes(colour=cyl))
##D p + geom_point(aes(colour=factor(cyl)))
##D p + geom_point(aes(shape=factor(cyl)))
##D p + geom_point(aes(size=qsec))
##D 
##D # Change scales
##D p + geom_point(aes(colour=cyl)) + scale_colour_gradient(low="red")
##D p + geom_point(aes(size=qsec)) + scale_area()
##D p + geom_point(aes(shape=factor(cyl))) + scale_shape(solid=FALSE)
##D 
##D # Set aesthetics to fixed value
##D p + geom_point(colour = "red", size=3)
##D     
##D # Transparent points:
##D qplot(mpg, wt, data=mtcars, size=I(5), 
##D   colour=I(alpha("black", 0.2)))
##D # to avoid the ring, use shape 21, with NA colour and transparent fill:
##D qplot(mpg, wt, data=mtcars, size=I(5), 
##D   shape = I(21), colour=I(NA), fill = I(alpha("black", 0.2)))
##D 
##D # Use qplot instead
##D qplot(x=wt, y=mpg, data=mtcars)
##D qplot(x=wt, y=mpg, data=mtcars, colour = factor(cyl))
##D qplot(x=wt, y=mpg, data=mtcars, colour = I("red"))
## End(Not run)


